Search found 357 matches

by jbeuken
Thu Jun 03, 2021 1:46 pm
Forum: Platform specific questions
Topic: MPI support for ABINIT 9.4.1 on a Cray XC40 cluster
Replies: 2
Views: 129

Re: MPI support for ABINIT 9.4.1 on a Cray XC40 cluster

Hi,
configure: error: unrecognized option: `--with_mpi_prefix=/opt/cray/pe/craype/2.6.1/bin/
can you try with

Code: Select all

--with-mpi=/opt/cray/pe/craype/2.6.1/
or

Code: Select all

--with-mpi="yes"
export FC="mpifort"
export CC="mpicc"
export CXX="mpicxx"
jmb
by jbeuken
Tue May 11, 2021 10:48 am
Forum: Pseudopotentials and PAW datasets
Topic: Package 'abinit' has no installation candidate [SOLVED]
Replies: 1
Views: 664

Re: Package 'abinit' has no installation candidate [SOLVED]

Hi, Officially, we do not build packages for Abinit... But, there are some possible sources anyway: - https://github.com/abinit/abiconda - under Ubuntu 18.04 (old version ) : apt search abinit abinit/bionic 8.0.8-4 amd64 package for electronic structure calculations abinit-data/bionic,bionic 8.0.8-4...
by jbeuken
Mon May 10, 2021 11:30 am
Forum: Configuration
Topic: Compilation error for abinit-9.4.2
Replies: 1
Views: 859

Re: Compilation error for abinit-9.4.2

Hi,

Maybe some packages are missing depending on your OS :?:

We find /usr/include/sys/socket.h :
- for Ubuntu 18 : libc6-dev-amd64
- for CentOS 7 : glibc-headers-2.17-323.el7_9.x86_64
by jbeuken
Tue Mar 16, 2021 2:34 pm
Forum: Configuration
Topic: Error when compiling abinit-9.4.0 fallbacks
Replies: 1
Views: 754

Re: Error when compiling abinit-9.4.0 fallbacks

Hello, there is obviously a problem with the generation of the XMLF90 v1.5.3.1 fallback doc Neither of the two necessary software ( Latex and doxygen ) was installed on our testfarm builders :? They could not have reported this bug... :? in the XMLF90 v1.5.4.0 version, the doc is no longer generated...
by jbeuken
Sat Jan 23, 2021 10:48 am
Forum: Platform specific questions
Topic: Running Abinit in virtual box Ubuntu [SOLVED]
Replies: 5
Views: 1526

Re: Running Abinit in virtual box Ubuntu [SOLVED]

Hi, You can find this information : 1) on the ABINIT website : https://www.abinit.org/fallbacks 2) in the tarball : config/specs/fbversion.conf [9.2] atompaw = 4.1.0.6 bigdft = abinit-1.7.1.28 hdf5 = 1.10.6 libpsml = 1.1.7 libxc = 4.3.4 lapack = abinit_6.10 netcdf4 = 4.6.3 netcdf4_fortran = 4.5.2 wa...
by jbeuken
Fri Dec 04, 2020 10:05 am
Forum: Configuration
Topic: No YAML Error found abinit-9.2.2 [SOLVED]
Replies: 5
Views: 1554

Re: No YAML Error found abinit-9.2.2 [SOLVED]

Hi, This is not a YAML issue. The code aborts when we try to create a netcdf4 file with MPI-IO support so I believe the problem is not in the MPI library but in the hdf5/netcdf4/netcdf-fortran software stack (that depends on MPI). Perhaps one of these libraries has been compiled using different mpic...
by jbeuken
Fri Nov 06, 2020 3:20 pm
Forum: Platform specific questions
Topic: CCE + Cray Libsci build
Replies: 1
Views: 760

Re: CCE + Cray Libsci build

Hi, I don't have access to a Cray ;) it seems that the lib contains blas/lapack, blacs/scalapack and fftw. maybe I can help you... usable with abinit 9.x we need to build this part of the configuration ( I guess the library is called libsci :? ) : # BLAS/LAPACK with_linalg_flavor="custom" LINALG_CPP...
by jbeuken
Fri Nov 06, 2020 2:52 pm
Forum: Configuration
Topic: error while executing make for abinit-9.0.2 [SOLVED]
Replies: 5
Views: 1655

Re: error while executing make for abinit-9.0.2 [SOLVED]

Hi,

missing python cmd...

see this post :

viewtopic.php?f=3&t=4482#p13271

jmb
by jbeuken
Mon Nov 02, 2020 2:49 pm
Forum: Configuration
Topic: Abinit uses small percentage of CPU [SOLVED]
Replies: 4
Views: 733

Re: Abinit uses small percentage of CPU [SOLVED]

Hi,

there is a "syntax" error :

mpirun abinit -j 12 < files_file

Of course, don't forget to compile ABINIT with OMP support ( intel : -qopenmp , gnu : -fopenmp )

jmb
by jbeuken
Mon Nov 02, 2020 2:41 pm
Forum: Configuration
Topic: why the HDF5 and libxc is enable but not work? [SOLVED]
Replies: 5
Views: 1793

Re: why the HDF5 and libxc is enable but not work? [SOLVED]

Hi, something strange... in your first post ( 24 Oct ), You used abinit 9.2.1 with_libxc=/home/sunlight/work/abinit/abinit-9.2.1/buildfallbacks/install/libxc-5.0.0 PS : We do not support libXC 5.0.0 yet. ! in your lst post, you used abinit 9.0.4 /home/sunlight/work/abinit/abinit-9.0.4/build/fallback...
by jbeuken
Mon Oct 26, 2020 8:37 pm
Forum: Configuration
Topic: why the HDF5 and libxc is enable but not work? [SOLVED]
Replies: 5
Views: 1793

Re: why the HDF5 and libxc is enable but not work? [SOLVED]

Hi, in your ac file, there are a few unnecessary "extra" lines that may have produced the problem : # MPI settings FC="mpiifort" CC="mpiicc" CXX="mpiicpc" with_mpi="yes" enable_mpi_io="yes" # linear algebra settings with_linalg_flavor="mkl" LINALG_CPPFLAGS="-I${MKLROOT}/include" LINALG_FCFLAGS="-I${...
by jbeuken
Mon Oct 26, 2020 8:27 pm
Forum: Configuration
Topic: tutorial base1 and base2 [SOLVED]
Replies: 2
Views: 570

Re: tutorial base1 and base2 [SOLVED]

Hi,
= BAD TERMINATION OF ONE OF YOUR APPLICATION PROCESSES
= PID 12136 RUNNING AT c29
= EXIT CODE: 6
= CLEANING UP REMAINING PROCESSES
= YOU CAN IGNORE THE BELOW CLEANUP MESSAGES
The error message is from the system, not Abinit.
by jbeuken
Mon Oct 26, 2020 8:24 pm
Forum: Configuration
Topic: A question for 9.2.1
Replies: 3
Views: 627

Re: A question for 9.2.1

Hi,

Where did you download the tarball?

Link found in abinit website :

https://www.abinit.org/sites/default/fi ... 2.1.tar.gz

The configure script is present !

A+

jmb
by jbeuken
Thu Oct 22, 2020 11:26 pm
Forum: Configuration
Topic: Abinit uses small percentage of CPU [SOLVED]
Replies: 4
Views: 733

Re: Abinit uses small percentage of CPU [SOLVED]

Hi,

use OpenMP and/or use THREADS with atlas

jmb
by jbeuken
Sun Oct 18, 2020 8:54 pm
Forum: Configuration
Topic: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]
Replies: 7
Views: 1927

Re: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]

Hi,
need more infos...

the output of ./configure

jmb
by jbeuken
Thu Oct 08, 2020 11:02 am
Forum: Configuration
Topic: error while executing make for abinit-9.2.1 on NIC4 cluster [SOLVED]
Replies: 2
Views: 1373

Re: error while executing make for abinit-9.2.1 on NIC4 cluster [SOLVED]

Hi, these are the modules used : module load EasyBuild module load Python/3.6.6-intel-2018b module load intel/2018b module load iimpi/2018b module load HDF5/1.10.2-intel-2018b module load libxc/3.0.1-intel-2018b module load netCDF/4.6.1-intel-2018b module load netCDF-Fortran/4.4.4-intel-2018b module...
by jbeuken
Wed Aug 26, 2020 12:39 pm
Forum: Ground state
Topic: Segmentation fault - invalid memory reference error in abinit-8.10.3 when running ground state calculation [SOLVED]
Replies: 8
Views: 3011

Re: Segmentation fault - invalid memory reference error in abinit-8.10.3 when running ground state calculation [SOLVED]

Hi, make check-local make[3]: Entering directory `/users/home/shiva/tools/abinit-8.10.3/build/tests' [ -f "runtests.py" ] && ./runtests.py fast -o1 --no-colors --no-logo || ../../tests/runtests.py fast -o1 --no-colors --no-logo --with-pickle=0 ... [fast][t00][np=1]: fldiff.pl fatal error: Unable to ...
by jbeuken
Thu Aug 20, 2020 3:51 pm
Forum: Configuration
Topic: NetCDF Fortran is not WORKING in 9.0.4
Replies: 3
Views: 1101

Re: NetCDF Fortran is not WORKING in 9.0.4

Hi, your configure command reformatted for readability ;-) CC=mpiicc CXX=mpiicpc FC=mpiifort F77=mpiifort \ ../configure \ --with-mpi=/public1/soft/mpich/3.1.4 \ --with-linalg=/public1/soft/intel/2018/compilers_and_libraries_2018.2.199/linux/mkl \ --with-hdf5=/public1/home/sc30842/tarballs/hdf5-inst...
by jbeuken
Thu Aug 20, 2020 3:13 pm
Forum: Configuration
Topic: Undefined reference to `dgesvd_' issue [SOLVED]
Replies: 4
Views: 1314

Re: Undefined reference to `dgesvd_' issue [SOLVED]

I'm sorry, my mistake...

it seems it's a problem with the linalg librairy !

I need more information

which options do you use for the ./configure?
if you use an ac file, what is the content?
the output at the end of the configure

jmb
by jbeuken
Wed Aug 19, 2020 10:26 am
Forum: Ground state
Topic: Segmentation fault - invalid memory reference error in abinit-8.10.3 when running ground state calculation [SOLVED]
Replies: 8
Views: 3011

Re: Segmentation fault - invalid memory reference error in abinit-8.10.3 when running ground state calculation [SOLVED]

Hi, concerning the config.log, I didn't see anything serious. most of the errors are expected: the configure tests the existence of a series of libraries, tools, system features... concerning make check which kind of errors ? concerning the errors libi40iw -i40iw_vmapped_qp: failed to pin memory for...
by jbeuken
Tue Aug 18, 2020 11:10 am
Forum: Configuration
Topic: Abinit 9.0.4, linalg segfault on cluster [SOLVED]
Replies: 2
Views: 1469

Re: Abinit 9.0.4, linalg segfault on cluster [SOLVED]

Hi, your ac9 file without comment : CC="mpicc" CFLAGS="-O2 -xCore-AVX512 -ftz -fp-speculation=safe -fp-model source -mkl=cluster" CXX="mpic++" CXXFLAGS="-O2 -xCore-AVX512 -ftz -fp-speculation=safe -fp-model source -mkl=cluster" FC="mpif90" FCFLAGS="-O2 -xCore-AVX512 -ftz -fp-speculation=safe -fp-mod...
by jbeuken
Sun Aug 16, 2020 6:00 pm
Forum: Configuration
Topic: Undefined reference to `dgesvd_' issue [SOLVED]
Replies: 4
Views: 1314

Re: Undefined reference to `dgesvd_' issue [SOLVED]

Hi, I noticed that under Ubuntu >=18, the python command doesn't exist even if a python package ( 2.x or 3.x ) is installed... :shock: you have to manually create a symbolic link or use the os script : update-alternatives cd /usr/bin ln -s python3.6 python during the ./configure, there is a python s...
by jbeuken
Mon Aug 03, 2020 10:27 am
Forum: Configuration
Topic: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]
Replies: 7
Views: 1927

Re: Configure Error: Parallel version - removed option --enable-mpi [SOLVED]

Hi, I noticed that during the minimum ( or standard ) installation of Ubuntu 19 or 20, the python cmd is not "defined". python3 is installed by default, but the link "python" to "python3" is not made . However, during configure, a python script is executed with : #!/usr/bin/env python one way to sol...